# dmxfont.c File Reference

`#include "dmx.h"`
`#include "dmxsync.h"`
`#include "dmxfont.h"`
`#include "dmxlog.h"`
`#include "fontstruct.h"`
`#include "dixfont.h"`
`#include "dixstruct.h"`

## Functions

void | dmxInitFonts (void)
void | dmxResetFonts (void)
Bool | dmxBELoadFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxRealizeFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxBEFreeFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxUnrealizeFont (ScreenPtr pScreen, FontPtr pFont)

## Detailed Description

This file provides support for fonts.

## Function Documentation

Bool dmxBEFreeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont
| ) |

| Free pFont on the back-end associated with pScreen.

Bool dmxBELoadFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont
| ) |

| Load the font, pFont, on the back-end server associated with pScreen. When a font is loaded, the font path on back-end server is first initialized to that specified on the command line with the -fontpath options, and then the font is loaded.

void dmxInitFonts | ( | void |  | ) |

| Initialize font support. In addition to the screen function call pointers, DMX also hooks in at the ProcVector[] level. Here the old ProcVector function pointers are saved and the new ProcVector function pointers are initialized.

Bool dmxRealizeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont
| ) |

| Realize the font, pFont, on the back-end server associated with pScreen.

void dmxResetFonts | ( | void |  | ) |

| Reset font support by restoring the original ProcVector function pointers.

Bool dmxUnrealizeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont
| ) |

| Unrealize the font, pFont, on the back-end server associated with pScreen.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>